#include "NSDate+Additions.h"

@implementation NSDate (Comparision)
- (NSString *)description
{
    return [NSString stringWithFormat:@"%.6f", [self timeIntervalSinceReferenceDate]];
}

- (BOOL)isEarlierThanDate:(NSDate *)otherDate
{
    return [self timeIntervalSinceReferenceDate]
         < [otherDate timeIntervalSinceReferenceDate];
}

- (BOOL)isLaterThanDate:(NSDate *)otherDate
{
    return [self timeIntervalSinceReferenceDate]
         > [otherDate timeIntervalSinceReferenceDate];
}
@end

