#include "TranslationTable.h"

/*
 * Very dirty implementation.
 * should be changed to use a hash table to make the value->index translation.
 * and a more normal array to the index->value translation.
 */



@implementation TranslationTable

- (id)init
{
    table = [[NSMutableArray array] retain];
    map = [[NSMutableDictionary dictionary] retain];
    return self;
}

- (void)dealloc
{
    [table release];
    [map release];
    [super dealloc];
}

+ (TranslationTable *)translationTable
{
    return [[[self alloc] init] autorelease];
}


/*
 * Querying
 */
 
- (unsigned) count
{
    return [table count];
}

- (unsigned)indexOfValue:(id)value
{
    id obj = [map objectForKey:value];

    if (obj)
        return [obj intValue];
    else
        return NSNotFound;
}

- (id)valueAtIndex:(unsigned)index
{
    return [table objectAtIndex:index];
}


/*
 * Adding Elements
 */
- (unsigned)addValue:(id)value
{
    unsigned index;
    index = [self indexOfValue:value];
    if (index == NSNotFound) {
        [table addObject:value];
        index = [table count] - 1;
        [map setObject: [NSNumber numberWithInt:index] forKey:value];
    }
    return index;
}


// NSCoding Protocol
- (void)encodeWithCoder:(NSCoder *)coder
{
//    [super encodeWithCoder:coder];
    [coder encodeObject:table];
    [coder encodeObject:map];
}

- (id)initWithCoder:(NSCoder *)coder
{
    self = [super init];//WithCoder:coder];
    table = [[coder decodeObject] retain];
    map = [[coder decodeObject] retain];
    return self;
}
@end
