#ifndef _OrderKey_h_
#define _OrderKey_h_

/*
 * OrderKey.h
 * ----------
 * Key for an ordered array of containers
 * contains the entityType and the container
 */

// 20-mar-2001 BS created

#include <Foundation/NSObject.h>

@interface OrderKey : NSObject
{
    id entityType;
    id container;
}

+ (OrderKey *)keyWithEntityType:(id)e container:(id)c;
- (id)initWithEntityType:(id)e container:(id)c;

- (void)dealloc;

- (id)container;
- (id)entityType;

- (BOOL)isEqual:(OrderKey *)other;
- (unsigned)hash;
@end

#endif
