#ifndef _PajeCheckPoint_h_
#define _PajeCheckPoint_h_

// PajeCheckPoint.h
//
// Holds the date and file name of a check point.

// 19980211 BS creation

#include <Foundation/Foundation.h>

@interface PajeCheckPoint : NSObject
{
    NSDate *time;
    NSString *fileName;
}

+ (PajeCheckPoint *)checkPointWithTime:(NSDate *)t fileName:(NSString *)f;
- (id)initWithTime:(NSDate *)t fileName:(NSString *)f;
- (void)dealloc;

- (NSDate *)time;
- (NSString *)fileName;

@end

#endif
