#ifndef _PajeTraceController_h_
#define _PajeTraceController_h_

#include <AppKit/AppKit.h>
#include "../General.bproj/PSortedArray.h"
#include "../General.bproj/PajeFilter.h"

#ifdef GNUSTEP
#define IBOutlet  
#endif

@interface PajeTraceController : NSObject
{
    id reader;
    id encapsulator;
    NSMutableArray *components;
    
    NSMutableArray *filters;
    NSMutableArray *tools;

    PSortedArray *checkPoints;
}

- (void)registerFilter:(PajeFilter *)filter;
- (void)registerTool:(id)tool;

- (NSArray *)filters;
- (NSArray *)tools;

- (void)readAll:(id)sender;

- (void)writeCheckPoint;

- (BOOL)openFile:(NSString *)filename;

@end

#endif
