#ifndef _PajeFileReader_h_
#define _PajeFileReader_h_

#include <stdio.h>
#include <Foundation/Foundation.h>
#include "../General.bproj/PajeFilter.h"

@interface PajeFileReader: PajeComponent
{
    NSFileHandle *inputFile;
    NSString *remainsOfLastRead;
    NSString *inputFilename;
    unsigned long long bytesScanned;
}

- (id)initWithController:(PajeTraceController *)c;

- (void)setInputFilename:(NSString *)filename;
- (NSString *)inputFilename;
- (void)readNextChunk;

- (void)raise:(NSString *)reason;

- (int)eventCount;

- (void)encodeCheckPointWithCoder:(NSCoder *)coder;
- (void)decodeCheckPointWithCoder:(NSCoder *)coder;
@end
#endif
