#ifndef _HierarchyRuler_h_
#define _HierarchyRuler_h_
#include <AppKit/AppKit.h>
#include "DrawView.h"

typedef enum {
    hierarchyRulerNone, 
    hierarchyRulerVerticalDivider, 
    hierarchyRulerHorizontalDivider, 
    hierarchyRulerBox 
} hierarchyRulerPart;

@interface HierarchyRuler : NSRulerView
{
    NSMutableArray *thicknesses;
    NSCell *cell;
    id containerBeingDragged;
}

- (id)initWithScrollView:(NSScrollView *)scrollView;
- (void)drawHashMarksAndLabelsInRect:(NSRect)drawRect;
- (void)refreshSizes;
@end
#endif
