
#include "NSDictionary+Additions.h"
#include <Foundation/NSArray.h>

@implementation NSMutableDictionary (PajeAdditions)

- (void)addObject:(id)object forKey:(id)key
{
    NSMutableArray *array = [self objectForKey:key];
    if (!array) {
        [self setObject:[NSMutableArray arrayWithObject:object] forKey:key];
    } else if (![array isKindOfClass:[NSMutableArray class]]) {
        [self setObject:[NSMutableArray arrayWithObjects:array, object, nil]
                 forKey:key];
    } else {
        [array addObject:object];
    }
}

@end
