#ifndef _UserEvent_h_
#define _UserEvent_h_

//
// UserEvent
//
// holds a user-definable event
//

#include "../General.bproj/PajeEvent.h"
#include "../General.bproj/PajeEntity.h"
#include "../General.bproj/PajeEntityInspector.h"
#include "../General.bproj/PajeType.h"


@interface UserEvent : PajeEntity
{
    PajeEvent *event;
}

+ (UserEvent *)eventWithType:(PajeEntityType *)type
                        name:(id)n
                   container:(PajeContainer *)c
                       event:(PajeEvent *)e;
- (id)initWithType:(PajeEntityType *)type
              name:(id)n
         container:(PajeContainer *)c
             event:(PajeEvent *)e;
- (void)dealloc;

- (NSDate *)time;
@end

@interface UserEventInspector : PajeEntityInspector
@end

#endif
