#ifndef _STController_h_
#define _STController_h_

#include <AppKit/AppKit.h>
#include "HierarchyRuler.h"
#include "DrawView.h"

@interface STController: PajeFilter
{
    IBOutlet NSScrollView *scrollView;
    IBOutlet NSWindow *window;
    IBOutlet DrawView *drawView;
    NSRulerView *timeRuler;
    HierarchyRuler *hierarchyRuler;
}
- (id)initWithController:(PajeTraceController *)c;
- (void)awakeFromNib;
- (void)print:(id)sender;
@end

#endif
